﻿using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace DamageAssesment.Api.SurveyResponses.Models
{
    public class SurveyResponse
    {
        [Key]
        public int Id { get; set; }

        [ForeignKey("Survey")]
        public int SurveyId { get; set; }

        [ForeignKey("Location")]
        public string LocationId { get; set; }

        [ForeignKey("Employee")]
        public string EmployeeId { get; set; }

        //public DateTime? CreatedDate { get; set; }

        //[StringLength(50)]
        //public string ClientDevice { get; set; }

        //[StringLength(250)]
        //public string KeyAnswerResult { get; set; }
    }
}
